require("player")
require("camera")
game = {}

function game.load()
love.physics.setMeter(64)
world = love.physics.newWorld(0, 9.81*64, true)
background   = love.graphics.newImage('image/image.png')
table.insert(activePlayer, player:new(300, 500))

objects = {}
objects.ground = {}
objects.ground.body = love.physics.newBody(world, 650/2, 750-50/2)
objects.ground.shape = love.physics.newRectangleShape(2000, 50)
objects.ground.fixture = love.physics.newFixture(objects.ground.body, objects.ground.shape)
end

function game.update(dt)
UPDATE_PLAYER(dt)
world:update(dt)

for i,player in ipairs(activePlayer) do
camera.y = player.y - 200
if player.direction == "left" then
camera.x = camera.x - 6
if camera.x <= player.x - 500 then
camera.x = player.x - 500
end
end
if player.direction == "right" then
camera.x = camera.x + 6
if camera.x >= player.x - 200 then
camera.x = player.x - 200 
end

end

end

end

function game.draw() 
camera:set()
love.graphics.draw(background)
  love.graphics.polygon("fill", objects.ground.body:getWorldPoints(objects.ground.shape:getPoints()))
DRAW_PLAYER()
camera:unset()


end

function love.keyreleased(key)
player.keyreleased(key)
end

function love.keypressed(key)
player.keypressed(key)
end

function love.mousepressed(x, y, button)
player.mousepressed(x, y, button)
end

function love.mousereleased(x, y, button)
	player.mousereleased(x, y, button)
end
